RAND(3)

NAME
rand, srand, rand_r - bad random number generator

LIBRARY
libc

SYNOPSIS
#include <stdlib.h>
void
srand(unsigned int seed);
int
rand(void);
int
rand_r(unsigned int *seed);

DESCRIPTION
These interfaces are obsoleted by random(3).

The rand() function computes a sequence of pseudo-random integers in the range of 0 to RAND_MAX (as defined by the header file <stdlib.h>).

The srand() function sets its argument as the seed for a new sequence of pseudo-random numbers to be returned by rand(). These sequences are repeatable by calling srand() with the same seed value.

If no seed value is provided, the rand() function is automatically seeded with a value of 1.

The rand_r() function is a reentrant interface to rand(); the seed has to be supplied and is maintained by the caller.

SEE ALSO
random(3), rnd(4)

STANDARDS
The rand() and srand() functions conform to ansiC. The rand_r() function conforms to p1003.1c-95.